CREATE TABLE jg_zz_vat_rep_entities (
    VAT_REPORTING_ENTITY_ID          NUMBER(18, 0) ,
    LEGAL_ENTITY_ID                  NUMBER(18, 0) ,
    PARTY_ID                         NUMBER(18, 0) ,
    TAX_REGIME_CODE                  VARCHAR2(120) ,
    TAX_REGISTRATION_NUMBER          VARCHAR2(200) ,
    TAX_CALENDAR_NAME                VARCHAR2(60)  ,
    ENABLE_REGISTERS_FLAG            VARCHAR2(4)   ,
    ENABLE_REPORT_SEQUENCE_FLAG      VARCHAR2(4)   ,
    ENABLE_ALLOCATIONS_FLAG          VARCHAR2(4)   ,
    ENABLE_ANNUAL_ALLOCATION_FLAG    VARCHAR2(4)   ,
    THRESHOLD_AMOUNT                 NUMBER        ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    ENTITY_LEVEL_CODE                VARCHAR2(120)     NOT NULL,
    ENTITY_TYPE_CODE                 VARCHAR2(120)     NOT NULL,
    LEDGER_ID                        NUMBER(18, 0) ,
    BALANCING_SEGMENT_VALUE          VARCHAR2(100) ,
    MAPPING_VAT_REP_ENTITY_ID        NUMBER(18, 0) ,
    ENTITY_IDENTIFIER                VARCHAR2(2400),
    DRIVING_DATE_CODE                VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    START_DATE                       DATE          ,
    END_DATE                         DATE          ,
    TAX_REGISTRATION_ID              NUMBER(18, 0) ,
    TAX_POINT_DATE_CODE              VARCHAR2(120) ,
    TAX_POINT_DATE_EFFECTIVE_FROM    DATE          ,
    TAX_POINT_DATE_EFFECTIVE_TO      DATE          ,
    DRIVING_DATE_EFFECTIVE_FROM      DATE          ,
    DRIVING_DATE_EFFECTIVE_TO        DATE          ,
    ENABLE_FINAL_DATA_VALIDATION     VARCHAR2(4)   ,
    ENABLE_SWEEP_PROCESS_FLAG        VARCHAR2(4)   ,
    TAX_CALENDAR_START_PERIOD        VARCHAR2(60)  ,
    VAT_REPORTING_ENTITY_ID          NUMBER(18, 0) ,
    LEGAL_ENTITY_ID                  NUMBER(18, 0) ,
    PARTY_ID                         NUMBER(18, 0) ,
    TAX_REGIME_CODE                  VARCHAR2(120) ,
    TAX_REGISTRATION_NUMBER          VARCHAR2(200) ,
    TAX_CALENDAR_NAME                VARCHAR2(60)  ,
    ENABLE_REGISTERS_FLAG            VARCHAR2(4)   ,
    ENABLE_REPORT_SEQUENCE_FLAG      VARCHAR2(4)   ,
    ENABLE_ALLOCATIONS_FLAG          VARCHAR2(4)   ,
    ENABLE_ANNUAL_ALLOCATION_FLAG    VARCHAR2(4)   ,
    THRESHOLD_AMOUNT                 NUMBER        ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    ENTITY_LEVEL_CODE                VARCHAR2(120)     NOT NULL,
    ENTITY_TYPE_CODE                 VARCHAR2(120)     NOT NULL,
    LEDGER_ID                        NUMBER(18, 0) ,
    BALANCING_SEGMENT_VALUE          VARCHAR2(100) ,
    MAPPING_VAT_REP_ENTITY_ID        NUMBER(18, 0) ,
    ENTITY_IDENTIFIER                VARCHAR2(2400),
    DRIVING_DATE_CODE                VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    START_DATE                       DATE          ,
    END_DATE                         DATE          ,
    TAX_REGISTRATION_ID              NUMBER(18, 0) ,
    TAX_POINT_DATE_CODE              VARCHAR2(120) ,
    TAX_POINT_DATE_EFFECTIVE_FROM    DATE          ,
    TAX_POINT_DATE_EFFECTIVE_TO      DATE          ,
    DRIVING_DATE_EFFECTIVE_FROM      DATE          ,
    DRIVING_DATE_EFFECTIVE_TO        DATE          ,
    ENABLE_FINAL_DATA_VALIDATION     VARCHAR2(4)   ,
    ENABLE_SWEEP_PROCESS_FLAG        VARCHAR2(4)   ,
    TAX_CALENDAR_START_PERIOD        VARCHAR2(60)  ,
    CONSTRAINT pk_jg_zz_vat_rep_entities PRIMARY KEY (VAT_REPORTING_ENTITY_ID, VAT_REPORTING_ENTITY_ID)
);
